"""Add Router activation workflow.

Revision ID: 113a81d2a40a
Revises: bacd55c26106
Create Date: 2024-02-21 10:28:18.340922

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '113a81d2a40a'
down_revision = 'bacd55c26106'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "activate_router",
        "target": "MODIFY",
        "description": "Activate a router",
        "product_type": "Router"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
